Eclipse Platform Release 3.7

## org.eclipse.swt.ole.win32
Interface OleListener

    public interface OleListener

Implementers of `OleListener` provide a simple `handleEvent()` method that is used internally by SWT to dispatch events.

After creating an instance of a class that implements this interface it can be added to an `OleControlSite` using the `addEventListener()` method and removed using the `removeEventListener()` method. When the specified event occurs, `handleEvent()` will be sent to the instance.

See Also:
  `OleControlSite`

Method Summary
`void` `handleEvent(OleEvent event)` Sent when an event that the receiver has registered for occurs.

Method Detail

### handleEvent

    void handleEvent(OleEvent event)

  Sent when an event that the receiver has registered for occurs.

  Parameters:
    `event` - the event which occurred

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.